<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: UndergroundAreaLoader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/de5/class_underground_area_loader.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">UndergroundAreaLoader Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:afae721111f0539c67edd91bb9f30e95b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../df/d51/class_json_underground_triggers.html">JsonUndergroundTriggers</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#afae721111f0539c67edd91bb9f30e95b">GetData</a> ()</td></tr>
<tr class="separator:afae721111f0539c67edd91bb9f30e95b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea09626fa5760911b7fc2b45f8bef571"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#aea09626fa5760911b7fc2b45f8bef571">SpawnAllTriggerCarriers</a> ()</td></tr>
<tr class="separator:aea09626fa5760911b7fc2b45f8bef571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a551ed64a3fb5fcc829c6794fa13910"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#a3a551ed64a3fb5fcc829c6794fa13910">SpawnTriggerCarrier</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a> data)</td></tr>
<tr class="separator:a3a551ed64a3fb5fcc829c6794fa13910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a906d81f7314a28b316b73b0eb7a8821d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#a906d81f7314a28b316b73b0eb7a8821d">SyncDataSend</a> (<a class="el" href="../../df/d11/class_player_identity.html">PlayerIdentity</a> identity)</td></tr>
<tr class="separator:a906d81f7314a28b316b73b0eb7a8821d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab20b7a664b1dc0d4b57ecafabe3e30d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#aab20b7a664b1dc0d4b57ecafabe3e30d">OnRPC</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:aab20b7a664b1dc0d4b57ecafabe3e30d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ac3dc4e77ec283f2a7e024d0e3e6a549b"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#ac3dc4e77ec283f2a7e024d0e3e6a549b">m_Path</a> = &quot;$mission:cfgundergroundtriggers.json&quot;</td></tr>
<tr class="separator:ac3dc4e77ec283f2a7e024d0e3e6a549b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a31fd08c51f59856b563930cff87208"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../df/d51/class_json_underground_triggers.html">JsonUndergroundTriggers</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/de5/class_underground_area_loader.html#a6a31fd08c51f59856b563930cff87208">m_JsonData</a></td></tr>
<tr class="separator:a6a31fd08c51f59856b563930cff87208"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00047">47</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="afae721111f0539c67edd91bb9f30e95b" name="afae721111f0539c67edd91bb9f30e95b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afae721111f0539c67edd91bb9f30e95b">&#9670;&#160;</a></span>GetData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../df/d51/class_json_underground_triggers.html">JsonUndergroundTriggers</a> UndergroundAreaLoader::GetData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00054">54</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<a id="aab20b7a664b1dc0d4b57ecafabe3e30d" name="aab20b7a664b1dc0d4b57ecafabe3e30d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab20b7a664b1dc0d4b57ecafabe3e30d">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void UndergroundAreaLoader::OnRPC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00117">117</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<a id="aea09626fa5760911b7fc2b45f8bef571" name="aea09626fa5760911b7fc2b45f8bef571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea09626fa5760911b7fc2b45f8bef571">&#9670;&#160;</a></span>SpawnAllTriggerCarriers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void UndergroundAreaLoader::SpawnAllTriggerCarriers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00079">79</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<a id="a3a551ed64a3fb5fcc829c6794fa13910" name="a3a551ed64a3fb5fcc829c6794fa13910"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a551ed64a3fb5fcc829c6794fa13910">&#9670;&#160;</a></span>SpawnTriggerCarrier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void UndergroundAreaLoader::SpawnTriggerCarrier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/d13/class_json_underground_area_trigger_data.html">JsonUndergroundAreaTriggerData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00097">97</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<a id="a906d81f7314a28b316b73b0eb7a8821d" name="a906d81f7314a28b316b73b0eb7a8821d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a906d81f7314a28b316b73b0eb7a8821d">&#9670;&#160;</a></span>SyncDataSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void UndergroundAreaLoader::SyncDataSend </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d11/class_player_identity.html">PlayerIdentity</a>&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00110">110</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6a31fd08c51f59856b563930cff87208" name="a6a31fd08c51f59856b563930cff87208"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a31fd08c51f59856b563930cff87208">&#9670;&#160;</a></span>m_JsonData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../df/d51/class_json_underground_triggers.html">JsonUndergroundTriggers</a> UndergroundAreaLoader::m_JsonData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00051">51</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<a id="ac3dc4e77ec283f2a7e024d0e3e6a549b" name="ac3dc4e77ec283f2a7e024d0e3e6a549b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3dc4e77ec283f2a7e024d0e3e6a549b">&#9670;&#160;</a></span>m_Path</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> UndergroundAreaLoader::m_Path = &quot;$mission:cfgundergroundtriggers.json&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html#l00049">49</a> of file <a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d3/d3a/_underground_area_loader_8c_source.html">UndergroundAreaLoader.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/de5/class_underground_area_loader.html">UndergroundAreaLoader</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
